# Class CIM_iSCSIProtocolEndpoint
extends CIM_SCSIProtocolEndpoint

This is an iSCSI-specific SCSIProtocolEndpoint. ConnectionType MUST be 'iSCSI'. An iSCSIProtocolEndpoint represents an iSCSI port, which is the usage of a subset of network portals (TCP+IP ProtocolEndpoints) in a Portal Group by an iSCSI node. The BindsTo associations from iSCSIProtocolEndpoint to TCPProtocolEndpoints makes this relationship explicit. For an iSCSI target, the Identifier property (the Target Portal Group Tag) makes the relationship unique. For an iSCSI initiator, the session identifier makes the initiator port unique within the node.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_ManagedSystemElement
|
+--CIM_LogicalElement
|
+--CIM_EnabledLogicalElement
|
+--CIM_ServiceAccessPoint
|
+--CIM_ProtocolEndpoint
|
+--CIM_SCSIProtocolEndpoint
|
+--CIM_iSCSIProtocolEndpoint

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---

Description

string

This is an iSCSI-specific SCSIProtocolEndpoint. ConnectionType MUST be 'iSCSI'. An iSCSIProtocolEndpoint represents an iSCSI port, which is the usage of a subset of network portals (TCP+IP ProtocolEndpoints) in a Portal Group by an iSCSI node. The BindsTo associations from iSCSIProtocolEndpoint to TCPProtocolEndpoints makes this relationship explicit. For an iSCSI target, the Identifier property (the Target Portal Group Tag) makes the relationship unique. For an iSCSI initiator, the session identifier makes the initiator port unique within the node.

UMLPackagePath | string | CIM::Network::ProtocolEndpoints
Version | string | 2.37.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
Identifier | string |
Description | string | If this is an Initiator PE, Identifier MUST contain the ISID, if this is a Target PE, Identifier MUST contain the Target Portal Group Tag (TGPT). Each iSCSIProtocolEndpoint associated to a common SCSIProtocolController (iSCSI node) MUST have a unique Identifier. This field is formatted as 12 hexadecimal digits.
MaxLen | uint32 | 13
Required | boolean | true
Name | string |

Description

string

The format of Name is based on the ConnectionType property. For iSCSI, the Name property of an SCSIProtocolEndpoint MUST contain the iSCSI port name as described in the iSCSI RFC (currently http://www.ietf.org/rfc/rfc3720.xt) - < iSCSI node name> + ,',i,' + ISID for initiators, < iSCSI node name> + ',t,' + TPGT for targets, where <iSCSI node name> can be any of the standard iSCSI name namespaces (eg. iqn, eui); and includes the namespace prefix. The target portal group tag must conform to the regular expression "^[0-9A-F]{16}$".

Key | boolean | true
MappingStrings | string | SPC.INCITS-T10 |Protocol Specific Parameters | Name
MaxLen | uint32 | 256
ModelCorrespondence | string | CIM_SCSIProtocolEndpoint.ConnectionType, CIM_SCSIProtocolEndpoint.OtherConnectionType
Override | string | Name
Role | uint16 |
Description | string | For iSCSI, each SCSIProtocolEndpoint MUST act as either a target or an initiator endpoint.
Override | string | Role
ValueMap | string | 2, 3
Values | string | Initiator, Target

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
CommunicationStatus | uint16 | CIM_ManagedSystemElement
ConnectionType | uint16 | CIM_SCSIProtocolEndpoint
CreationClassName | string | CIM_ServiceAccessPoint
Description | string | CIM_ProtocolEndpoint
DetailedStatus | uint16 | CIM_ManagedSystemElement
ElementName | string | CIM_ManagedElement
EnabledDefault | uint16 | CIM_EnabledLogicalElement
EnabledState | uint16 | CIM_ProtocolEndpoint
HealthState | uint16 | CIM_ManagedSystemElement
InstallDate | datetime | CIM_ManagedSystemElement
InstanceID | string | CIM_ManagedElement
NameFormat | string | CIM_ProtocolEndpoint
OperatingStatus | uint16 | CIM_ManagedSystemElement
OtherConnectionType | string | CIM_SCSIProtocolEndpoint
OtherEnabledState | string | CIM_EnabledLogicalElement
OtherTypeDescription | string | CIM_ProtocolEndpoint
PrimaryStatus | uint16 | CIM_ManagedSystemElement
ProtocolIFType | uint16 | CIM_ProtocolEndpoint
ProtocolType | uint16 | CIM_ProtocolEndpoint
RequestedState | uint16 | CIM_EnabledLogicalElement
Status | string | CIM_ManagedSystemElement
SystemCreationClassName | string | CIM_ServiceAccessPoint
SystemName | string | CIM_ServiceAccessPoint
TargetRelativePortNumber | uint32 | CIM_SCSIProtocolEndpoint
TimeOfLastStateChange | datetime | CIM_ProtocolEndpoint
TransitioningToState | uint16 | CIM_EnabledLogicalElement
AvailableRequestedStates | uint16[] | CIM_EnabledLogicalElement
OperationalStatus | uint16[] | CIM_ProtocolEndpoint
StatusDescriptions | string[] | CIM_ManagedSystemElement

## Class Methods

### Inherited Class Methods

Name | Return Type | Class Origin
--- | --- | ---
RequestStateChange | uint32 | CIM_EnabledLogicalElement